import { registerBlockType } from '@wordpress/blocks';
import { __ } from '@wordpress/i18n';
import metadata from './block.json';
import Edit from './edit';
import save from './save';
import './style.scss';

registerBlockType( metadata.name, {
	title: __( 'Artcloud RSS Syöte', 'artcloud-blocks' ),
	description: __( 'Show latest RSS feeds.', 'artcloud-blocks' ),
	icon: {
		src: 'rss',
		background: 'var(--wp--preset--color--primary)',
		foreground: 'var(--wp--preset--color--white)'
	},
	edit: Edit,
	save,
} );
